.media--type-video.media--view-mode-decorative {
  position: fixed;
  inset: 0;
  z-index: -1;
  pointer-events: none;
  --first-filter: color-mix(in srgb, var(--color-inlet) 50%, transparent);
  --second-filter: color-mix(in srgb, var(--color-mist) 25%, transparent);

  & video {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &::after {
    content: "";
    position: absolute;
    inset: 0;
    background-image:
      linear-gradient(to bottom, var(--first-filter), var(--first-filter));
      linear-gradient(to bottom, var(--second-filter), var(--second-filter));
    mix-blend-mode: multiply;
    pointer-events: none;
  }
}
